{% extends 'base.html' %}

{% block content %}

{% if mensagem is not None %}
	<script>alert('{{mensagem}}')</script>
{% endif %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-
awesome/4.7.0/css/font-awesome.min.css">
<!-- Breadcrumbs-->
<ol class="breadcrumb">
	<li class="breadcrumb-item">
	<a href="exibir-banco">Exibir Bancos</a>
	</li>
	<li class="breadcrumb-item active">Cadastrar Banco</li>
</ol>


<div class="card-header" style="margin-bottom: 1%">
	<i class="fas fa-pen"></i>
	Cadastrar Banco
</div>

<div class="container">
	<!-- <div id="lista_bancos" class="row mb-4" style="align-items: center; justify-content: center; margin-left: 5%">
			<form action="listar-banco" method="POST" class="row">
				{%csrf_token %}
				<h6 class="mr-3 mt-2" style="align-self: center;">Selecione um banco:</h6>
				<select style="align-self: center;width: 40%;" class="mt" name="id">
					<option value="0">Todos os bancos</option>
					{% for banco in bancos %}
						{% if banco.id == id_banco %}	
							<option value="{{banco.id}}" selected>{{banco.nome}}</option>
						{% else %}
							<option value="{{banco.id}}">{{banco.nome}}</option>
						{% endif %}
					{% endfor %}
				</select>
				<input type="submit" value="Buscar" class='btn-sucess' style="width: 30%; margin-left: 20%"/>
		</form>
	</div> -->
	<div class="row" style="align-items: center; margin-left: 20%">
		<form action="/cadastrar-banco" method="POST" style="width:70%;">
			{% csrf_token %}
			<!-- <div class="col">
				<div class="row">
					<h6>Banco: </h6>
					<input type="text" value="{{banco}}" name='banco' readonly>
				</div>
				<div class="row">
					<h6>Conta: </h6s>
					<input type="text" value="{{conta}}" name="conta" readonly>
				</div>
				<div class="row">
					<h6>Cliente: </h6>
					<input type="text" value="{{cliente}}" name="cliente">
				</div>
				<button type="submit" class="btn btn-primary">Confirmar alterações</button>
				<input type="text" hidden value="validar" name="verificar">
			</div> -->
			<div class="form-group">
				<label for="numero">Número</label>
				<input type="text" class="form-control" id="id" name="id" value="{{id}}" aria-describedby="Número" placeholder="Digite o identificador do banco" required>
			</div>
			<div class="form-group">
				<label for="descricao">Descrição</label>
				<input type="text" class="form-control" id="descricao" name='descricao' placeholder="Digite o nome do banco." value="{{descricao}}" required>
			</div>
			<button type="submit" style="width:100% " class="btn btn-primary">Alterar</button>
			<input type="text" hidden value="validar" name="verificar">
			<input type="text" hidden value="1" name="l">
		</form>
	</div>
</div>

<p class="small text-center text-muted my-5">
	<em></em>
</p>

</div>
<!-- Modal -->
<!-- /.container-fluid -->
<script>
	$("search").bind("input", function(e) {
		while( $(this).outerWidth() < this.scrollHeight +
										parseFloat($(this).css("borderTopWidth")) +
										parseFloat($(this).css("borderBottomWidth"))
				&& $(this).width() < 50 // Altura máxima
		) {
			$(this).height($(this).height()+1);
		};
	});
</script>
{% endblock %}